"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Center = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireWildcard(require("react"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * ### Center
 * This will make the child vertically and horizontally center.
 *
 * ex:
 * ```ts
 * <Center>
 *  <View>
 *    <Text>This text will be in center</Text>
 *  </View>
 * </Center>
 * ```
 */
class Center extends _react.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  render() {
    const {
      children
    } = this.props;
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: styles.root,
      children: children
    });
  }
}
exports.Center = Center;
const styles = _reactNative.StyleSheet.create({
  root: {
    width: '100%',
    height: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    position: 'absolute'
  }
});
//# sourceMappingURL=index.js.map