"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IconButton = void 0;
var _react = require("react");
var _reactNative = require("react-native");
var _MaterialCommunityIcons = _interopRequireDefault(require("react-native-vector-icons/MaterialCommunityIcons"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * ### IconButton
 * Icon button component.
 *
 * ex:
 * ```ts
 * <IconButton
 *    onPress={this.handleClose}
 *    color={color}
 *    defaultIconColor={defaultIconColor}
 *  />
 * ```
 */
class IconButton extends _react.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  render() {
    const {
      onPress,
      icon,
      color,
      defaultIconColor = 'white'
    } = this.props;
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
      onPress: onPress,
      style: [styles.root, {
        backgroundColor: color
      }],
      children: icon ?? /*#__PURE__*/(0, _jsxRuntime.jsx)(_MaterialCommunityIcons.default, {
        name: "close",
        color: defaultIconColor,
        size: 26
      })
    });
  }
}
exports.IconButton = IconButton;
const styles = _reactNative.StyleSheet.create({
  root: {
    width: 40,
    height: 40,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 30,
    overflow: 'hidden'
  }
});
//# sourceMappingURL=index.js.map