"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ImageZoomState = exports.ImageZoomProps = void 0;
class ImageZoomProps {
  cropWidth = 100;
  cropHeight = 100;
  imageWidth = 100;
  imageHeight = 100;
  panToMove = true;
  pinchToZoom = true;
  enableDoubleClickZoom = true;
  clickDistance = 10;
  maxOverflow = 100;
  longPressTime = 800;
  doubleClickInterval = 175;

  /**
   * If provided this will cause the view to zoom and pan to the center point
   * Duration is optional and defaults to 300 ms.
   */

  style = {};

  /**
   * threshold for firing swipe down function
   */
  swipeDownThreshold = 230;

  /**
   * for enabling vertical movement if user doesn't want it
   */
  enableSwipeDown = false;

  /**
   * for disabling focus on image center if user doesn't want it
   */
  enableCenterFocus = true;

  /**
   * for disabling rendering to hardware texture on Android
   */
  useHardwareTextureAndroid = true;

  /**
   * minimum zoom scale
   */
  minScale = 0.6;

  /**
   * maximum zoom scale
   */
  maxScale = 10;

  /**
   * Whether to use native code to perform animations.
   */
  useNativeDriver = false;
  onClick = () => {
    //
  };
  onDoubleClick = () => {
    //
  };
  onLongPress = () => {
    //
  };
  horizontalOuterRangeOffset = () => {
    //
  };
  onDragLeft = () => {
    //
  };
  responderRelease = () => {
    //
  };

  /**
   * If provided, this will be called everytime the map is moved
   */
  onMove = () => {
    //
  };

  /**
   * If provided, this method will be called when the onLayout event fires
   */
  layoutChange = () => {
    //
  };

  /**
   * function that fires when user swipes down
   */
  onSwipeDown = () => {
    //
  };

  /**
   * Allows defining the onMoveShouldSetResponder behavior.
   */

  /**
   * Allows overriding the default onStartShouldSetPanResponder behavior.
   * By default, always becomes the responder
   */
  onStartShouldSetPanResponder = () => true;

  /**
   * Allows overriding the default onPanResponderTerminationRequest behavior.
   * By default, doesn't terminate until the press ends
   */
  onPanResponderTerminationRequest = () => false;
}
exports.ImageZoomProps = ImageZoomProps;
class ImageZoomState {
  centerX = 0.5;
  centerY = 0.5;
}
exports.ImageZoomState = ImageZoomState;
//# sourceMappingURL=index.type.js.map