"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RNAdvanceComponentProvider = exports.RNAdvanceComponentContext = void 0;
var _react = _interopRequireDefault(require("react"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const lightTheme = {
  mode: 'light',
  colors: {
    primary: 'rgb(0, 122, 255)',
    background: 'rgb(242, 242, 242)',
    card: 'rgb(255, 255, 255)',
    text: 'rgb(28, 28, 30)',
    border: 'rgb(216, 216, 216)',
    notification: 'rgb(255, 59, 48)'
  }
};
const darkTheme = {
  mode: 'dark',
  colors: {
    primary: 'rgb(10, 132, 255)',
    background: 'rgb(1, 1, 1)',
    card: 'rgb(18, 18, 18)',
    text: 'rgb(229, 229, 231)',
    border: 'rgb(39, 39, 41)',
    notification: 'rgb(255, 69, 58)'
  }
};
const myTheme = {
  light: lightTheme,
  dark: darkTheme
};
const RNAdvanceComponentContext = exports.RNAdvanceComponentContext = /*#__PURE__*/_react.default.createContext(lightTheme);
class RNAdvanceComponentProvider extends _react.default.Component {
  constructor(props) {
    super(props);
    this.state = {
      theme: lightTheme
    };
  }
  static defaultProps = {
    mode: 'light'
  };
  componentDidMount() {
    this.setState({
      theme: myTheme[this.props.mode]
    });
  }
  componentDidUpdate(prevProps) {
    if (prevProps.mode !== this.props.mode) {
      this.setState({
        theme: myTheme[this.props.mode]
      });
    }
  }
  render() {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(RNAdvanceComponentContext.Provider, {
      value: this.state.theme,
      children: this.props.children
    });
  }
}
exports.RNAdvanceComponentProvider = RNAdvanceComponentProvider;
//# sourceMappingURL=index.js.map