"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ImageViewerModal = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _index = require("../../components/index.js");
var _platformSpecific = require("../../utils/platformSpecific.js");
var _index2 = require("../../context/index.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
class ImageViewerModal extends _react.default.Component {
  static contextType = _index2.RNAdvanceComponentContext;
  //@ts-expect-error

  windowDimension = _reactNative.Dimensions.get('window');
  constructor(props) {
    super(props);
    this.state = {
      _isModalVisible: false,
      _child: undefined,
      isLoading: false
    };
    this.handleClose = this.handleClose.bind(this);
    this.handleClick = this.handleClick.bind(this);
    this.getChild = this.getChild.bind(this);
  }
  getChild() {
    this.setState({
      _child: _react.default.Children.only(this.props.children)
    });
  }
  componentDidMount() {
    this.getChild();
  }
  componentDidUpdate(prevProps) {
    if (prevProps.children !== this.props.children) {
      this.getChild();
    }
  }
  closeModal(callback) {
    this.setState({
      _isModalVisible: false
    }, callback);
  }
  handleClose() {
    this.setState({
      _isModalVisible: false
    });
  }
  handleClick() {
    this.setState({
      _isModalVisible: true
    });
  }
  render() {
    const {
      modalAnimationType,
      backgroundColor = `rgba(0,0,0,0.5)`,
      defaultIconColor,
      color = 'red',
      isZoomEnable = true
    } = this.props;
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Modal, {
        animationType: modalAnimationType,
        visible: this.state._isModalVisible,
        onRequestClose: this.handleClose,
        transparent: true,
        children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
          style: [styles.imageContainer, {
            backgroundColor: backgroundColor
          }],
          children: [(this.state.isLoading || !this.state._child?.props.source) && /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Center, {
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.ActivityIndicator, {
              size: "large",
              color: color
            })
          }), isZoomEnable ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.ImageZoomViewer, {
            cropWidth: this.windowDimension.width,
            cropHeight: this.windowDimension.height,
            imageHeight: this.windowDimension.height,
            imageWidth: this.windowDimension.width,
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Image
            // @ts-expect-error
            , {
              source: this.state._child?.props.source,
              style: [styles.image],
              resizeMode: "contain",
              onLoadStart: () => this.setState({
                isLoading: true
              }),
              onLoadEnd: () => this.setState({
                isLoading: false
              })
            })
          }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Image
          // @ts-expect-error
          , {
            source: this.state._child?.props.source,
            style: [styles.image],
            resizeMode: "contain",
            onLoadStart: () => this.setState({
              isLoading: true
            }),
            onLoadEnd: () => this.setState({
              isLoading: false
            })
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
            style: [styles.closeIconContainer, {
              top: _platformSpecific.top
            }],
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.IconButton, {
              onPress: this.handleClose,
              color: color,
              defaultIconColor: defaultIconColor
            })
          })]
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
        onPress: this.handleClick,
        children: this.state._child
      })]
    });
  }
}
exports.ImageViewerModal = ImageViewerModal;
const styles = _reactNative.StyleSheet.create({
  imageContainer: {
    width: '100%',
    height: '100%'
  },
  image: {
    width: '100%',
    height: '100%'
  },
  closeIconContainer: {
    position: 'absolute',
    right: 4
  }
});
//# sourceMappingURL=index.js.map