"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.statusColorMap = exports.generateColor = void 0;
var _MaterialCommunityIcons = _interopRequireDefault(require("react-native-vector-icons/MaterialCommunityIcons"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const IconGenerator = ({
  name,
  color,
  size
}) => /*#__PURE__*/(0, _jsxRuntime.jsx)(_MaterialCommunityIcons.default, {
  name: name,
  color: color,
  size: size,
  style: {
    margin: 5,
    marginRight: 10
  }
});
const statusColorMap = exports.statusColorMap = {
  success: {
    color: 'green',
    lightBg: '#a7ffa6',
    textColor: '#025e00',
    icon: ({
      color,
      size
    }) => IconGenerator({
      name: 'check-circle',
      color,
      size
    })
  },
  error: {
    color: 'red',
    lightBg: '#ffa0a0',
    textColor: '#6b0000',
    icon: ({
      color,
      size
    }) => IconGenerator({
      name: 'alert-octagon',
      color,
      size
    })
  },
  info: {
    color: 'blue',
    lightBg: '#9fafff',
    textColor: '#00126e',
    icon: ({
      color,
      size
    }) => IconGenerator({
      name: 'information',
      color,
      size
    })
  },
  warning: {
    color: 'orange',
    lightBg: '#ffe2a4',
    textColor: '#5f4100',
    icon: ({
      color,
      size
    }) => IconGenerator({
      name: 'alert',
      color,
      size
    })
  }
};
const generateColor = (variant, status) => {
  switch (variant) {
    case 'solid':
      return {
        backgroundColor: statusColorMap[status].color
      };
    case 'left-accent':
      return {
        backgroundColor: statusColorMap[status].lightBg,
        borderColor: statusColorMap[status].color,
        borderLeftWidth: 5
      };
    case 'top-accent':
      return {
        backgroundColor: statusColorMap[status].lightBg,
        borderColor: statusColorMap[status].color,
        borderTopWidth: 5
      };
    case 'bottom-accent':
      return {
        backgroundColor: statusColorMap[status].lightBg,
        borderColor: statusColorMap[status].color,
        borderBottomWidth: 5
      };
    case 'outline':
      return {
        borderColor: statusColorMap[status].color,
        borderWidth: 3
      };
    default:
      return {
        backgroundColor: statusColorMap[status].color
      };
  }
};
exports.generateColor = generateColor;
//# sourceMappingURL=utils.js.map