"use strict";

import { StyleSheet, View } from 'react-native';
import React, { Component } from 'react';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * ### Center
 * This will make the child vertically and horizontally center.
 *
 * ex:
 * ```ts
 * <Center>
 *  <View>
 *    <Text>This text will be in center</Text>
 *  </View>
 * </Center>
 * ```
 */
export class Center extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  render() {
    const {
      children
    } = this.props;
    return /*#__PURE__*/_jsx(View, {
      style: styles.root,
      children: children
    });
  }
}
const styles = StyleSheet.create({
  root: {
    width: '100%',
    height: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    position: 'absolute'
  }
});
//# sourceMappingURL=index.js.map