"use strict";

import { Component } from 'react';
import { StyleSheet, TouchableOpacity } from 'react-native';
import Icon from 'react-native-vector-icons/MaterialCommunityIcons';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * ### IconButton
 * Icon button component.
 *
 * ex:
 * ```ts
 * <IconButton
 *    onPress={this.handleClose}
 *    color={color}
 *    defaultIconColor={defaultIconColor}
 *  />
 * ```
 */
export class IconButton extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  render() {
    const {
      onPress,
      icon,
      color,
      defaultIconColor = 'white'
    } = this.props;
    return /*#__PURE__*/_jsx(TouchableOpacity, {
      onPress: onPress,
      style: [styles.root, {
        backgroundColor: color
      }],
      children: icon ?? /*#__PURE__*/_jsx(Icon, {
        name: "close",
        color: defaultIconColor,
        size: 26
      })
    });
  }
}
const styles = StyleSheet.create({
  root: {
    width: 40,
    height: 40,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 30,
    overflow: 'hidden'
  }
});
//# sourceMappingURL=index.js.map