"use strict";

import React from 'react';
import { jsx as _jsx } from "react/jsx-runtime";
const lightTheme = {
  mode: 'light',
  colors: {
    primary: 'rgb(0, 122, 255)',
    background: 'rgb(242, 242, 242)',
    card: 'rgb(255, 255, 255)',
    text: 'rgb(28, 28, 30)',
    border: 'rgb(216, 216, 216)',
    notification: 'rgb(255, 59, 48)'
  }
};
const darkTheme = {
  mode: 'dark',
  colors: {
    primary: 'rgb(10, 132, 255)',
    background: 'rgb(1, 1, 1)',
    card: 'rgb(18, 18, 18)',
    text: 'rgb(229, 229, 231)',
    border: 'rgb(39, 39, 41)',
    notification: 'rgb(255, 69, 58)'
  }
};
const myTheme = {
  light: lightTheme,
  dark: darkTheme
};
export const RNAdvanceComponentContext = /*#__PURE__*/React.createContext(lightTheme);
export class RNAdvanceComponentProvider extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      theme: lightTheme
    };
  }
  static defaultProps = {
    mode: 'light'
  };
  componentDidMount() {
    this.setState({
      theme: myTheme[this.props.mode]
    });
  }
  componentDidUpdate(prevProps) {
    if (prevProps.mode !== this.props.mode) {
      this.setState({
        theme: myTheme[this.props.mode]
      });
    }
  }
  render() {
    return /*#__PURE__*/_jsx(RNAdvanceComponentContext.Provider, {
      value: this.state.theme,
      children: this.props.children
    });
  }
}
//# sourceMappingURL=index.js.map